Subject: Re: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Stefano Lattarini <[email-masked]>
Date: Tue, 14 Aug 2012 10:38:37 +0200

On 08/14/2012 02:20 AM, Dennis Clarke wrote:
> cc: [email-masked]
> 
>> On 08/13/2012 01:46 AM, Dennis Clarke wrote:
>>>
>>> At least I can get results in one hour now.  :-\
>>>
>>> [SNIP]
>>>
>> Same as before: the only actual failure is:
>>
>>     FAIL: t/silent-many-generic
>>     ===========================
>>
>>    ...
>>    + make
>>    ld: fatal: file baz2.o: wrong ELF class: ELFCLASS32
>>    ld: fatal: file processing errors. No output written to baz
>>    make: Fatal error: Command failed for target `baz'
>>
>> which seems to suggest your C++ linker has issues linking together
>> objects generated by your C++ compilers with objects generated by
>> your Fortran 90 compiler.  Could you try whether/how the same issue
>> is present outside the Automake testsuite?
> 
> Am trying .. in the meantime I think the best I will see is : 
> 
> ============================================================================
> Testsuite summary for GNU Automake 1.12.2
> ============================================================================
> # TOTAL: 2730
> # PASS:  2459
> # SKIP:  217
> # XFAIL: 50
> # FAIL:  4
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> 
> So I am giving up on automake for now.
>
Why?  Three of those failures are spurious ones (already fixed in the
development version), and one of them is mostly due of a misconfiguration
in your Fortran/C++ compilers (or combination thereof), and even if it
turns out to be an actual bug in Automake, is one that would only affect
projects linking Fortran with C++ -- not very common I'd say.

> However there is a bug or flaw in there somewhere however I don't know where.
> I was able to build plenty of other packages and even get the latest Apache
> and apr/apu built and running fine.

> I am stuck with what I get in automake for at least a few days
> until I can come back to this.
> 
OK.  Waiting too see if the last failure gets resolved somehow, so that I'll
be able to close this bug report.

Thanks,
  Stefano